boost::geometry::identity_view< Range > Struct Template Reference

View on a range, not modifying anything. More...

List of all members.

## Public Types

typedef boost::range_iterator < Range const >::type | const_iterator
typedef boost::range_iterator < Range >::type | iterator

## Public Member Functions

const_iterator | begin () const
iterator | begin ()
const_iterator | end () const
iterator | end ()
| identity_view (Range &r)

## Detailed Description

### template<typename Range>
struct boost::geometry::identity_view< Range >

View on a range, not modifying anything.

Template Parameters:

  Range | original range

## Member Typedef Documentation

template<typename Range >

typedef boost::range_iterator<Range const>::type boost::geometry::identity_view< Range >::const_iterator

template<typename Range >

typedef boost::range_iterator<Range>::type boost::geometry::identity_view< Range >::iterator

## Constructor & Destructor Documentation

template<typename Range >

boost::geometry::identity_view< Range >::identity_view | ( | Range & | r | ) | `[explicit]`

## Member Function Documentation

template<typename Range >

const_iterator boost::geometry::identity_view< Range >::begin | ( |  | ) | const

template<typename Range >

const_iterator boost::geometry::identity_view< Range >::end | ( |  | ) | const

template<typename Range >

iterator boost::geometry::identity_view< Range >::begin | ( |  | ) |

template<typename Range >

iterator boost::geometry::identity_view< Range >::end | ( |  | ) |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK